##############################################################
# Title ....: ALPS representation of ReferenceManagementProcessAndAPI.mdsl
# Author ...: MDSL Freemarker Generator, ALPS Demonstrator V02
# Date .....: tba
##############################################################

# you can generate OpenAPI and other specifications from ALPS:
# unified -h -f <alpsfile> -t <format type> -o <outfile> (type can be o, p, s; j, a, w)
# [nodemodulesdir]alps-unified\src\index.js -f ReferenceManagementProcessAndAPI-alps.yaml -t o -o ReferenceManagementProcessAndAPI-oas.yaml


alps:
  version: '0.1'
  doc:
    value: 'ALPS document for ReferenceManagementProcessAndAPI'

  # metadata 
  ext:
    - type: metadata
      name: title
      value: 'ReferenceManagementProcessAndAPI'
      tags: 'oas'
    - type: metadata
      name: id
      value: http://tbd.tba.tbc
      tags: 'oas'
    - type: metadata
      name: root 
      value: http://tbd.tba.tbc
      tags: 'oas'
  
  descriptor:
    # properties
    # - atomic/flat data elements 

    # groupings
    # - structured/nested data elements
    - id: Accept_PaperCommand
      type: group
      text: n/a 
      descriptor:

    - id: Publish_Authors_CopyCommand
      type: group
      text: n/a 
      descriptor:

    - id: Reject_PaperCommand
      type: group
      text: n/a 
      descriptor:

    - id: Review_FeedbackCommand
      type: group
      text: n/a 
      descriptor:

    - id: Review_PaperCommand
      type: group
      text: n/a 
      descriptor:

    - id: Write_PaperCommand
      type: group
      text: n/a 
      descriptor:

    - id: VoidResponse
      type: group
      text: n/a 
      descriptor:


    # actions
    # - these are the operations

    - id: Write_Paper
      type: unknown responsibility
      tags: unknown responsibility
      descriptor:
      - href: '#Write_PaperCommand' # parameter name: anonymousInput
      rt: 'VoidResponse'
      text: 

    - id: Review_Paper
      type: unknown responsibility
      tags: unknown responsibility
      descriptor:
      - href: '#Review_PaperCommand' # parameter name: anonymousInput
      rt: 'VoidResponse'
      text: 

    - id: Review_Feedback
      type: unknown responsibility
      tags: unknown responsibility
      descriptor:
      - href: '#Review_FeedbackCommand' # parameter name: anonymousInput
      rt: 'VoidResponse'
      text: 

    - id: Accept_Paper
      type: unknown responsibility
      tags: unknown responsibility
      descriptor:
      - href: '#Accept_PaperCommand' # parameter name: anonymousInput
      rt: 'VoidResponse'
      text: 

    - id: Reject_Paper
      type: unknown responsibility
      tags: unknown responsibility
      descriptor:
      - href: '#Reject_PaperCommand' # parameter name: anonymousInput
      rt: 'VoidResponse'
      text: 

    - id: Publish_Authors_Copy
      type: unknown responsibility
      tags: unknown responsibility
      descriptor:
      - href: '#Publish_Authors_CopyCommand' # parameter name: anonymousInput
      rt: 'VoidResponse'
      text: 

